WCSPBRK(P)

NAME
wcspbrk - scan a wide-character string for a wide-character code

SYNOPSIS

#include <wchar.h>

wchar_t *wcspbrk(const wchar_t *ws1, const wchar_t *ws2);

DESCRIPTION

The wcspbrk() function shall locate the first occurrence in the wide-character string pointed to by ws1 of any wide-character code from the wide-character string pointed to by ws2.

RETURN VALUE

Upon successful completion, wcspbrk() shall return a pointer to the wide-character code or a null pointer if no wide-character code from ws2 occurs in ws1.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

wcschr() , wcsrchr() , the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .